---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Freeze the draft as the next version so test… Reference for the POST
    /v1/projects/{projectId}/test-suites/{testSuiteId}/publish endpoint in the
    Judgeval API.
sidebar:
  label: Publish the draft as the next version
  badge: POST
title: Publish the draft as the next version
type: openapi-operation
---
Freeze the draft as the next version so test runs can use it.

`POST /v1/projects/{projectId}/test-suites/{testSuiteId}/publish`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "version": 0
}
```
